﻿@model BenhVien.MODEL.NguoiDung
@using BenhVien.UI.Models
@using BASICAUTHORIZE.AGRICH

<div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Thông tin bệnh nhân</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="Id" name="Id" value="@(Model != null ? Model.Id.ToString() : "" )" />
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Loại tài khoản: </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="LoaiNguoiDung">
                                
                                <option value="@EnumUserType.BENH_NHAN" @(Model != null && Model.LoaiNguoiDung == EnumUserType.BENH_NHAN ? "Selected" : "")>@EnumUserType.ToString(EnumUserType.BENH_NHAN)</option>
                               
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Trạng thái:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="TrangThaiID">
                                <option value="@EnumStatus.ACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.ACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.ACTIVE)</option>
                                <option value="@EnumStatus.INACTIVE" @((Model != null && Model.TrangThaiID == EnumStatus.INACTIVE) ? "Selected" : "")>@EnumStatus.ToString(EnumStatus.INACTIVE)</option>
                            </select>
                        </div>
                    </div>
                </div>

                @*<div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Tên tài khoản</label>
                        <div>
                            <input type="text" class="form-control" id="TenDangNhap" name="TenDangNhap" value="@(Model != null?Model.TenDangNhap : "" )" @(Model != null ? "readonly" : "") autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Mật khẩu</label>
                        <div>
                            <input type="text" class="form-control" id="MatKhau" name="MatKhau" value="@(Model != null?Model.MatKhau.Decode() : "" )" @(Model != null ? "readonly" : "") autocomplete="off">
                        </div>
                    </div>
                </div>*@

                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Họ tên</label>
                        <div>
                            <input type="text" class="form-control" id="HoTen" name="HoTen" value="@(Model != null?Model.HoTen : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Số điện thoại</label>
                        <div>
                            <input type="text" class="form-control" id="SDT" name="SDT" value="@(Model != null?Model.SDT : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Email</label>
                        <div>
                            <input type="text" class="form-control" id="Email" name="Email" value="@(Model != null?Model.Email : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày Sinh:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgaySinh" name="NgaySinh" value="@(Model !=null ?Model.NgaySinh != null?Model.NgaySinh.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Tỉnh/ Thành phố</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="ThanhPhoID" name="ThanhPhoID">
                                @Html.Raw(ViewBag.cbxProvince)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Quận/ Huyện:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" id="QuanHuyenID" name="QuanHuyenID">
                                <option value="">Chọn quận huyện....</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Xã/ Phường:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="PhuongXaID" id="PhuongXaID">
                                <option value="">Chọn xã phường....</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Giới tính:</label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="GioiTinh" id="GioiTinh">
                                <option value="" @(Model == null ? "selected" : "")>Chọn giới tính....</option>
                                <option value="1" @(Model != null && Model.GioiTinh == 1 ? "selected" : "")>Nam</option>
                                <option value="2" @(Model != null && Model.GioiTinh == 2 ? "selected" : "")>Nữ</option>
                                <option value="3" @(Model != null && Model.GioiTinh == 3 ? "selected" : "")>Khác</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Khoa </label>
                        <div>
                            <select class="ctr-select" data-live-search="true" name="KhoaID" id="KhoaID">
                                @Html.Raw(ViewBag.cbxKhoa)
                            </select>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Dân tộc</label>
                        <div>
                            <input type="text" class="form-control" id="DanToc" name="DanToc" value="@(Model != null?Model.DanToc : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Số CMND</label>
                        <div>
                            <input type="text" class="form-control" id="CMND" name="CMND" value="@(Model != null?Model.CMND : "" )" autocomplete="off">
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Nghề nghiệp</label>
                        <div>
                            <input type="text" class="form-control" id="NgheNghiep" name="NgheNghiep" value="@(Model != null?Model.NgheNghiep : "" )" autocomplete="off" )>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Thẻ BHYT</label>
                        <input type="text" class="form-control" id="SoBHYT" name="SoBHYT" value="@(Model != null?Model.SoBHYT : "" )" autocomplete="off" )>
                     </div>
                   
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày áp dụng:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgayApDungBHYT" name="NgayApDungBHYT" value="@(Model !=null ?Model.NgayApDungBHYT != null?Model.NgayApDungBHYT.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group col-md-6 col-sm-6 col-xs-12">
                        <label class="control-label" for="first-name">Ngày hết hạn:</label>
                        <div>
                            <div class='input-group date datetimepicker1' id=''>
                                <input type='text' class="form-control" id="NgayHetHanBHYT" name="NgayHetHanBHYT" value="@(Model !=null ?Model.NgayHetHanBHYT != null?Model.NgayHetHanBHYT.Value.ToString("dd/MM/yyyy") :"":"")" autocomplete="off" />
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-calendar"></span>
                                </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Địa chỉ:</label>
                        <div>
                            <textarea id="DiaChi" name="DiaChi" class="form-control">@(Model != null ? Model.DiaChi : "" )</textarea>
                        </div>
                    </div>
                </div>
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">

                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name">Mô tả:</label>
                        <div>
                            <textarea id="Mota" name="Mota" class="form-control">@(Model != null ? Model.Mota : "" )</textarea>
                        </div>
                    </div>
                </div>
                
            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save1" type="submit" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $('.datetimepicker1').datetimepicker({
            format: "DD/MM/YYYY"
        }).on("dp.change", function (e) {
            $('#frm-capnhat1').formValidation('updateStatus', 'BirthDay', 'NOT_VALIDATED').formValidation('validateField', 'BirthDay');
        });
    });
    
</script>
<script>
    $(document).ready(function () {
        debugger;
        $('[name=ThanhPhoID]').change();
    });
    $(function () {
        debugger;
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('[name=ThanhPhoID]').val('@(Model != null ? Model.ThanhPhoID.ToString(): "")').change();
    });


    $(document).on("change", "[name=QuanHuyenID]", function () {
        debugger;
        var district = $('[name=QuanHuyenID]').val();
        var select = '@(Model != null ? Model.QuanHuyenID: null)';
        var params = {
            id: district,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetComuneByDistrict", "NguoiDung", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#PhuongXaID').html(data.data);
                    $("#PhuongXaID").selectpicker("refresh");
                    $('#PhuongXaID').val('@(Model != null ? Model.PhuongXaID.ToString(): "")').change();
                }
            }
        });
    });

    $(document).on("change", "PhuongXaID", function () {
        $('#frm-capnhat1').formValidation('updateStatus', 'PhuongXaID', 'NOT_VALIDATED').formValidation('validateField', 'PhuongXaID');
    });
    $(document).on("change", "[name=ThanhPhoID]", function () {
        debugger;
        var province = $('[name=ThanhPhoID]').val();
        var select = '@(Model != null ? Model.QuanHuyenID: null)';
        var params = {
            id: province,
            select: select
        }
        $.ajax({
            url: '@Url.Action("GetDistrictByProvince", "NguoiDung", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    $('#QuanHuyenID').html(data.data);
                    $("#QuanHuyenID").selectpicker("refresh");
                    $('#QuanHuyenID').val('@(Model != null ? Model.QuanHuyenID.ToString(): "")').change();
                    $('#frm-capnhat1').formValidation('updateStatus', 'QuanHuyenID', 'NOT_VALIDATED').formValidation('validateField', 'QuanHuyenID');
                }
            }
        });
    });


</script>
<script>
    $(document).ready(function () {
        $('#frm-capnhat1').formValidation({
            framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                TenDangNhap: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                debugger;
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 100) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 100 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }

                                var loginType = $('#LoginType').val();
                                if (loginType == '@EnumLoginType.PHONE') {
                                    var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                    if (value.length != 0 && vnf_regex.test(value) == false) {
                                        return {
                                            valid: false,
                                            message: 'Số điện thoại của bạn không đúng định dạng!'
                                        }
                                    }
                                    $('#Phone').val($('#UserName').val());

                                } else {
                                    $('#Email').val($('#UserName').val());
                                    $('#frm-capnhat1').formValidation('updateStatus', 'Email', 'NOT_VALIDATED').formValidation('validateField', 'Email');
                                }
                                return true;
                            }
                        }
                    }
                },
                Email: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 500) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 500 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                MatKhau: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                GioiTinh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                KhoaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                DanToc: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        }
                    }
                },
                NgaySinh: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                LoaiNguoiDung: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                TrangThaiID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                ThanhPhoID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                QuanHuyenID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                PhuongXaID: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },

                    }
                },
                DiaChi: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 300) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 300 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                HoTen: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var codau = encodeURIComponent(value).match(/%[89ABab]/g);

                                if (value.length + (codau ? codau.length : 0) > 100) {
                                    return {
                                        valid: false,
                                        message: 'Dữ liệu không được lớn hơn 100 ký tự.<br/>Số ký tự hiện tại đang là ' + (value.length + (codau ? codau.length : 0))
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
                SDT: {
                    validators: {
                        notEmpty: {
                            message: 'Dữ liệu bắt buộc!'
                        },
                        callback: {
                            callback: function (value, validator, $field) {
                                var vnf_regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
                                if (value.length != 0 && vnf_regex.test(value) == false) {
                                    return {
                                        valid: false,
                                        message: 'Số điện thoại của bạn không đúng định dạng!'
                                    }
                                }
                                return true;
                            }
                        }
                    }
                },
               
            }
        }).on('success.form.fv', function (e) {
                document.getElementById("btn-save1").disabled = true;
                e.preventDefault();
                $.ajax({
                    url: '@Url.Action("BenhNhan_Update", "NguoiDung", new { area = "QuanTri" })',
                    type: 'POST',
                    dataType: 'json',
                    mimeType: "multipart/form-data",
                    contentType: false,
                    processData: false,
                    async: false,
                    cache: false,
                    data: new FormData(document.getElementById('frm-capnhat1')),
                    success: function (data) {
                        if (data.kq == "ok") {
                            alertify.success(data.msg);
                            window.location.href = '@Url.Action("MainPage", "NguoiDung", new { area= "QuanTri" })';
                        }
                        else {
                            alertify.error(data.msg);
                            document.getElementById("btn-save1").disabled = false;
                            $("#btn-save1").removeClass("disabled");
                        }
                    }
                });
            });
    });

</script>
